#!/bin/sh

export PYTHONPATH=/usr/local/lib/python2.6/site-packages:/usr/local/lib/python2.6:$PYTHONPATH

OUT=/home/software/geo/dump
RTGDAL=/home/software/geo/postgis-svn/raster/scripts/python/rtgdalraster.py
GDAL=`gdal-config --version`

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand(ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1), 1, '64BF', 123.4567, NULL)" -f GTiff -o $OUT/q1-gdal-$GDAL.tif

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand( ST_AddBand( ST_AddBand( ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0,-1) , 1, '64BF', 1234.5678, NULL) , '64BF', 987.654321, NULL) , '64BF', 9876.54321, NULL)" -f GTiff -o $OUT/q2-gdal-$GDAL.tif

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand( ST_AddBand( ST_AddBand( ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1) , 1, '64BF', 1234.5678, -9999) , '64BF', 987.654321, -9999) , '64BF', 9876.54321, -9999)" -f GTiff -o $OUT/q3-gdal-$GDAL.tif

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand(ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1), 1, '8BSI', 123, NULL)" -f PNG -o $OUT/q4-gdal-$GDAL.png

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand(ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1), 1, '8BUI', 123, NULL)" -f PNG -o $OUT/q5-gdal-$GDAL.png

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand(ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1), 1, '8BSI', -123, NULL)" -f PNG -o $OUT/q6-gdal-$GDAL.png

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand(ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1), 1, '8BUI', 254, NULL)" -f PNG -o $OUT/q7-gdal-$GDAL.png

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand( ST_AddBand( ST_AddBand( ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1) , 1, '8BSI', 1, -1) , 2, '8BSI', 11, -1) , 3, '8BSI', 111, -1)" -c "ZLEVEL=1" -f PNG -o $OUT/q8-gdal-$GDAL.png

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand( ST_AddBand( ST_AddBand( ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1) , 1, '8BSI', 1, -1) , 2, '8BSI', 11, -1) , 3, '8BSI', 111, -1)" -c "ZLEVEL=9" -f PNG -o $OUT/q9-gdal-$GDAL.png

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand(ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1), 1, '8BSI', 123, NULL)" -f JPEG -o $OUT/q10-gdal-$GDAL.jpg

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand(ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1), 1, '8BUI', 123, NULL)" -f JPEG -o $OUT/q11-gdal-$GDAL.jpg

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand(ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1), 1, '8BSI', -123, NULL)" -f JPEG -o $OUT/q12-gdal-$GDAL.jpg

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand(ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1), 1, '8BUI', 254, NULL)" -f JPEG -o $OUT/q13-gdal-$GDAL.jpg

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand( ST_AddBand( ST_AddBand( ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1) , 1, '8BSI', 1, -1) , 2, '8BSI', 11, -1) , 3, '8BSI', 111, -1)" -f JPEG -o $OUT/q14-gdal-$GDAL.jpg

$RTGDAL -d "dbname=rtpostgis_reg" -r "ST_AddBand( ST_AddBand( ST_AddBand( ST_MakeEmptyRaster(200, 200, 10, 10, 2, 2, 0, 0, -1) , 1, '8BSI', 1, -1) , 2, '8BSI', 11, -1) , 3, '8BSI', 111, -1)" -c "QUALITY=90,PROGRESSIVE=ON" -f JPEG -o $OUT/q15-gdal-$GDAL.jpg
